package com.xy.satoken;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "sa-token")
public class SaTokenAuthorizeConfig {

    /**
     * token名称
     */
    private String tokenName;

    /**
     * 需要过滤的url
     */
    private List<String> excludePaths;

}
